﻿using System;
using System.Collections;
using System.Collections.Generic;
using StrawberryShake;

namespace alef_graphql_client
{
    [System.CodeDom.Compiler.GeneratedCode("StrawberryShake", "11.0.0")]
    public partial class IitQuery
        : global::StrawberryShake.IDocument
    {
        private readonly byte[] _hashName = new byte[]
        {
            109,
            100,
            53,
            72,
            97,
            115,
            104
        };
        private readonly byte[] _hash = new byte[]
        {
            54,
            102,
            98,
            51,
            102,
            98,
            55,
            55,
            101,
            56,
            97,
            101,
            57,
            57,
            48,
            50,
            52,
            57,
            55,
            51,
            51,
            56,
            57,
            56,
            57,
            101,
            102,
            57,
            52,
            56,
            55,
            48
        };
        private readonly byte[] _content = new byte[]
        {
            113,
            117,
            101,
            114,
            121,
            32,
            105,
            105,
            116,
            40,
            36,
            105,
            110,
            118,
            111,
            101,
            114,
            58,
            32,
            73,
            110,
            118,
            111,
            101,
            114,
            95,
            95,
            97,
            97,
            110,
            118,
            114,
            97,
            97,
            103,
            95,
            95,
            105,
            105,
            116,
            73,
            110,
            112,
            117,
            116,
            41,
            32,
            123,
            32,
            114,
            101,
            113,
            117,
            101,
            115,
            116,
            40,
            105,
            110,
            118,
            111,
            101,
            114,
            58,
            32,
            36,
            105,
            110,
            118,
            111,
            101,
            114,
            41,
            32,
            123,
            32,
            95,
            95,
            116,
            121,
            112,
            101,
            110,
            97,
            109,
            101,
            32,
            114,
            101,
            99,
            104,
            116,
            66,
            101,
            115,
            99,
            104,
            114,
            105,
            106,
            118,
            105,
            110,
            103,
            32,
            117,
            105,
            116,
            84,
            101,
            75,
            101,
            114,
            101,
            110,
            84,
            111,
            101,
            115,
            108,
            97,
            103,
            66,
            101,
            100,
            114,
            97,
            103,
            32,
            117,
            105,
            116,
            84,
            101,
            75,
            101,
            114,
            101,
            110,
            84,
            111,
            101,
            115,
            108,
            97,
            103,
            66,
            101,
            100,
            114,
            97,
            103,
            83,
            112,
            101,
            99,
            105,
            102,
            105,
            101,
            100,
            32,
            125,
            32,
            125
        };

        public ReadOnlySpan<byte> HashName => _hashName;

        public ReadOnlySpan<byte> Hash => _hash;

        public ReadOnlySpan<byte> Content => _content;

        public static IitQuery Default { get; } = new IitQuery();

        public override string ToString() => 
            @"query iit($invoer: Invoer__aanvraag__iitInput) {
              request(invoer: $invoer) {
                rechtBeschrijving
                uitTeKerenToeslagBedrag
                uitTeKerenToeslagBedragSpecified
              }
            }";
    }
}
